# Generated from pg-0.11.0.gem by gem2rpm -*- rpm-spec -*-
%global gemdir %(ruby -rubygems -e 'puts Gem::dir' 2>/dev/null)
%global gemname pg
%global geminstdir %{gemdir}/gems/%{gemname}-%{version}
%global rubyabi 1.8

Summary: A Ruby interface to the PostgreSQL RDBMS
Name: rubygem-%{gemname}
Version: 0.11.0
Release: 2%{?dist}
Group: Development/Languages
# License is not that clear: https://bitbucket.org/ged/ruby-pg/issue/72/
License: (GPLv2 or Ruby) and BSD
URL: http://bitbucket.org/ged/ruby-pg/
Source0: http://rubygems.org/gems/%{gemname}-%{version}.gem
Requires: ruby(abi) = %{rubyabi}
Requires: rubygems
Requires: ruby
BuildRequires: ruby(abi) = %{rubyabi}
BuildRequires: rubygems
BuildRequires: ruby ruby-devel
BuildRequires: postgresql-server postgresql-devel
# Keep requiring rspec-core as long as rubygem(rspec) is provided by RSpec 1.x
BuildRequires: rubygem(rspec-core)
Provides: rubygem(%{gemname}) = %{version}

%description
This is the extension library to access a PostgreSQL database from Ruby.
This library works with PostgreSQL 7.4 and later.


%package doc
Summary: Documentation for %{name}
Group: Documentation
Requires:%{name} = %{version}-%{release}

%description doc
Documentation for %{name}


%prep
%setup -q -c -T
mkdir -p .%{gemdir}
gem install --local --install-dir .%{gemdir} \
            --force %{SOURCE0}

%build

%install
mkdir -p %{buildroot}%{gemdir}
cp -a .%{gemdir}/* \
        %{buildroot}%{gemdir}/

# Remove the binary extension sources and build leftovers.
rm -rf %{buildroot}%{geminstdir}/ext

# Remove useless shebangs.
sed -i -e '/^#!\/usr\/bin\/env/d' %{buildroot}%{geminstdir}/lib/pg.rb
sed -i -e '/^#!rake/d' %{buildroot}%{geminstdir}/Rakefile
sed -i -e '/^#!rake/d' %{buildroot}%{geminstdir}/Rakefile.local

# Fix spec shebangs.
# https://bitbucket.org/ged/ruby-pg/issue/74/
for file in `find %{buildroot}%{geminstdir}/spec -type f ! -perm /a+x -name "*.rb"`; do
    [ ! -z "`head -n 1 $file | grep \"^#!/\"`" ] \
        && sed -i -e 's/^#!\/usr\/bin\/env spec/#!\/usr\/bin\/env rspec/' $file \
        && chmod -v 755 $file
done

%check
pushd .%{geminstdir}
rspec spec
popd

%files
%dir %{geminstdir}
%doc %{geminstdir}/BSD
%doc %{geminstdir}/GPL
%doc %{geminstdir}/LICENSE
%{geminstdir}/lib
%{gemdir}/cache/%{gemname}-%{version}.gem
%{gemdir}/specifications/%{gemname}-%{version}.gemspec

%files doc
%doc %{gemdir}/doc/%{gemname}-%{version}
%doc %{geminstdir}/ChangeLog
%doc %{geminstdir}/Contributors
%{geminstdir}/Rakefile
%{geminstdir}/Rakefile.local
%doc %{geminstdir}/README
%doc %{geminstdir}/README.ja
%doc %{geminstdir}/README.OS_X
%doc %{geminstdir}/README.windows
%{geminstdir}/rake
%{geminstdir}/spec


%changelog
* Mon May 30 2011 Vít Ondruch <vondruch@redhat.com> - 0.11.0-2
- Removed/fixed shebang in non-executables.
- Removed sources.

* Thu May 26 2011 Vít Ondruch <vondruch@redhat.com> - 0.11.0-1
- Initial package
